libzypp: zypp::RepoStatus::Impl Struct Reference

libzypp 17.36.6

Public Types | Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
zypp::RepoStatus::Impl Struct Reference

RepoStatus implementation. More...

## Public Types
using | Checksums = std::set<std::string>

## Public Member Functions
void | assignFromCtor (std::string &&checksum_r, Date &&timestamp_r)
| Assign data called from RepoStatus ctor (adds magic).
void | inject (std::string &&checksum_r, Date &&timestamp_r)
| Inject raw data (no magic added).
void | injectFrom (const Impl &rhs)
| Inject the raw data from rhs.
bool | empty () const
std::string | checksum () const
Date | timestamp () const
std::ostream & | dumpOn (std::ostream &str) const
| Dump to log file (not to/from CookieFile).
void | assignFromCookieFile (const Pathname &path_r, bool useMtime_r=false)

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
Checksums | _checksums
Date | _timestamp
std::optional< std::string > | _cachedchecksum

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

RepoStatus implementation.

Definition at line 57 of file RepoStatus.cc.

## Member Typedef Documentation

## ◆ Checksums

using zypp::RepoStatus::Impl::Checksums = std::set<std::string>

Definition at line 59 of file RepoStatus.cc.

## Member Function Documentation

## ◆ assignFromCtor()

void zypp::RepoStatus::Impl::assignFromCtor | ( | std::string && | checksum_r,
|  | Date && | timestamp_r )
| inline

Assign data called from RepoStatus ctor (adds magic).

\Note Changing magic will at once invalidate all solv file caches. Helpfull if solv file content must be refreshed (e.g. due to different repo2solv arguments) even if raw metadata are unchanged. Only values set from a RepoStatus ctor need magic to be added!

Definition at line 69 of file RepoStatus.cc.

## ◆ inject()

void zypp::RepoStatus::Impl::inject | ( | std::string && | checksum_r,
|  | Date && | timestamp_r )
| inline

Inject raw data (no magic added).

Definition at line 80 of file RepoStatus.cc.

## ◆ injectFrom()

void zypp::RepoStatus::Impl::injectFrom | ( | const Impl & | rhs | ) |
| inline

Inject the raw data from rhs.

Definition at line 92 of file RepoStatus.cc.

## ◆ empty()

bool zypp::RepoStatus::Impl::empty | ( |  | ) | const
| inline

Definition at line 106 of file RepoStatus.cc.

## ◆ checksum()

std::string zypp::RepoStatus::Impl::checksum | ( |  | ) | const
| inline

Definition at line 109 of file RepoStatus.cc.

## ◆ timestamp()

Date zypp::RepoStatus::Impl::timestamp | ( |  | ) | const
| inline

Definition at line 129 of file RepoStatus.cc.

## ◆ dumpOn()

std::ostream & zypp::RepoStatus::Impl::dumpOn | ( | std::ostream & | str | ) | const
| inline

Dump to log file (not to/from CookieFile).

Definition at line 133 of file RepoStatus.cc.

## ◆ assignFromCookieFile()

void zypp::RepoStatus::Impl::assignFromCookieFile | ( | const Pathname & | path_r,
|  | bool | useMtime_r = false )
| inline

Definition at line 137 of file RepoStatus.cc.

## ◆ clone()

Impl * zypp::RepoStatus::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 161 of file RepoStatus.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _checksums

Checksums zypp::RepoStatus::Impl::_checksums
| private

Definition at line 153 of file RepoStatus.cc.

## ◆ _timestamp

Date zypp::RepoStatus::Impl::_timestamp
| private

Definition at line 154 of file RepoStatus.cc.

## ◆ _cachedchecksum

std::optional<std::string> zypp::RepoStatus::Impl::_cachedchecksum
| mutableprivate

Definition at line 156 of file RepoStatus.cc.

The documentation for this struct was generated from the following file:

- zypp/RepoStatus.cc